Subject: Re: [net-next-2.6 PATCH] net: fast consecutive name allocation

From: Stephen Hemminger <[email-masked]>
Date: Fri, 13 Nov 2009 14:29:39 -0800

On Fri, 13 Nov 2009 11:51:31 +0200
Octavian Purdila <[email-masked]> wrote:

> For us the usecase is creating interfaces that get used by applications that 
> generate all sorts of traffic. This allows us to simulate realistic end user 
> traffic (e.g. coming from a full blown stack). That sounds reasonable to us :)

So it is lots of pseudo-devices for a special purpose test machine.
That's great use of Linux, but not a case worth optimizing for in the mainline kernel.